Show / Hide Table of Contents

# Class OpenIddictServerEvents.ExtractLogoutRequestContext

Represents an event called for each request to the logout endpoint to give the user code a chance to manually extract the logout request from the ambient HTTP context.

##### Inheritance

System.Object
OpenIddict.Server.OpenIddictServerEvents.BaseContext
OpenIddict.Server.OpenIddictServerEvents.BaseRequestContext
OpenIddict.Server.OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.ExtractLogoutRequestContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ExtractLogoutRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### ExtractLogoutRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ExtractLogoutRequestContext class.

##### Declaration

    public ExtractLogoutRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Request

Gets or sets the request, or `null` if wasn't extracted yet.

##### Declaration

    public OpenIddictRequest? Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> |